unit uAboutTest;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls;

type
  TForm9 = class(TForm)
    Button1: TButton;
    btnLinkerTimeStamp: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btnLinkerTimeStampClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form9: TForm9;

implementation

{$R *.dfm}

uses uAbout;

procedure TForm9.btnLinkerTimeStampClick(Sender: TObject);
var
  res1, res2: TDateTime;
  tim1:
begin
  // function LinkerTimeStamp(const FileName: string): TDateTime; overload;
  res1 := About.LinkerTimeStamp('D:\SETINet\about\AboutTest\Win32\Debug\AboutTest.exe');
  res2 := PImageNtHeaders(HInstance + Cardinal(PImageDosHeader(HInstance)^._lfanew))^.FileHeader.TimeDateStamp / SecsPerDay + UnixDateDelta;

end;

procedure TForm9.Button1Click(Sender: TObject);
begin
  About.ShowVersion;
end;

procedure TForm9.FormCreate(Sender: TObject);
begin
{$IFDEF EUREKALOG}
  Form9.Caption := Form9.Caption + (' + EurekaLog ');
{$ENDIF}
  Form9.Caption := Form9.Caption + ' (' + IntToStr(SizeOf(Pointer) * 8) + ' Bit)';
end;

end.
